
Redmine - Feature #4967

Issues colors

2010-03-02 15:44 - Bruno Prado

Status: Reopened Start date: 2010-03-02

Priority: Low Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I've modified application.css, from Classic theme, so it now colors the issue according to its status and priority. Screenshots are

attached.

Let me know what you think about it.
Related issues:

Related to Redmine - Feature #13258: Let user defines CSS color for priority ... New

Related to Redmine - Feature #1716: Coloration according to status Closed 2008-07-30

Related to Redmine - Feature #13297: Adding icons for different trackers New

Related to Redmine - Feature #10083: Change the color of resolved issue New 2012-01-29

Related to Redmine - Feature #1748: Customized Status Color in Project Gantt New 2008-08-05

Related to Redmine - Feature #8226: Allow "roadmap style" on issue statuses New 2011-04-26

Related to Redmine - Feature #9286: Should have color highlight on My page ac... New 2011-09-21 2011-09-30

Related to Redmine - Feature #493: Enhancement request bonanza!! Closed 2013-04-25

Related to Redmine - Feature #12789: Redmine - design study New

Related to Redmine - Patch #13747: Issue Colors Patch for #4967 New

Is duplicate of Redmine - Feature #1758: Color-coding for issue trackers Closed 2008-08-07

History

#1 - 2010-03-02 15:49 - Bruno Prado

- File application.css added

Sorry, I forgot to attach application.css.

#2 - 2010-03-02 19:26 - Bruno Prado

- File application.css added

I've changed the color in issue details, removed some bold styles and "depolluated" the code.

#3 - 2010-03-02 19:33 - Bruno Prado

Well, I'm still working on this.

Anyway, let me know what you think.

#4 - 2010-03-02 21:35 - Bruno Prado

- File issues_list.jpg added

- File issue_details.jpg added

Colors changed. I've got some feedbacks saying those were too "blinding".

Issue details has just a little tag in its priority.
#5 - 2010-03-02 21:35 - Bruno Prado

- File application.css added

#6 - 2013-03-25 20:46 - Dipan Mehta

+1. This would be very useful feature.

How will you define color for custom trackers?

#7 - 2013-03-25 21:23 - Daniel Felix

Those should be defined by each user itself.

I have implemented the same. Maybe I could provide a patch for it.

#8 - 2013-04-07 23:28 - Dipan Mehta

Add related #1716.

#9 - 2013-04-09 03:25 - Filou Centrinov

You have interessting ideas, but they are an intensive intervention to the current design. May you create a theme and publish it on that theme list. I

think we shouldn't alter the default redmine theme like this.

Do you agree to close this issue?

#10 - 2013-04-09 04:19 - Dipan Mehta

Filou Centrinov wrote:

You have interessting ideas, but they are an intensive intervention to the current design. May you create a theme and publish it on that theme list

. I think we shouldn't alter the default redmine theme like this.

Do you agree to close this issue?

 Yes indeed that finally this would be achieved using appropriate theme. The default theme may still remain not so heavy. The core idea is, currently

no theme can do this right away unless Redmine provides css class per status/tracker etc. That is what this feature should achieve.

I don't think this is entirely unbelievable or a bad idea either. This issue shouldn't be closed!

#11 - 2013-04-09 07:23 - Dipan Mehta

Add related - #13297, #6614, #1758, #1716, #1748, #8226, #9286, #13258, #10083

The issue #13297 &  #6614, #1758 talks about icons for tracker hence a dedicated css class per tracker would serve both issues.

The issue #1716, #1748, #8226 talks about style that is based on status rather than tracker.

The issue #9286 and #13258 talks about styles for highlighting priority

The issue #10083 talks about color change for resolved issues (specific status based)

One more critical thing missing in the notes of all such issues is that themes are pre-created and are not aware of available set of trackers or status.

Hence, the theme should be able to provide a preset of classes and then there should be some UI way of associating them to specific

Based on all above - here is the gross requirements:

1. A defined preset 'colorization, iconized' classes that can be used. (this can be standardized)

preset should be sizable (say 12 - 15 styles) which all themes can implement

2. Class would define attributes under following context: (sorry if terminology is not accurate)

link_to_issue()

yellow ticket color, style, icons

issue context class

3. A UI window displaying { status x tracker } permutation

4. The admin can select which class to be used under what condition.

5. Styling can be used (in consistent way) when issues are listed under:

Issue view,

Issue update page,

Issue query page,

Roadmap page and on context menu

Gantt and Calender

Mypage

6. Changing theme should appropriately change appearance but shouldn't break things!

Stretching even more -

We can also imagine an attribute on issue e.g. issue_current_css_class which holds the value from any of the style list as possible value. If this is
done, possibly (under some plugins) you can actually set the css.class as one of the fields or combination of fields reaches specific conditions.

for example:

1. if the field 'customer feedback' < Good - the issue is colored 'Red'

2. if the field 'QA Approved' - the issue is colored green.

3. Specific styling "if the task is a 'subtask' of another.

4. Issue having separate color if the issue is duplicate/ blocked by other.

I think I am stretching this issue a bit too much - but hope this ideas help simplifying and extending many styling needs fundamentally.

#12 - 2013-04-09 12:09 - Daniel Felix

- Status changed from New to Closed

I'm closing this issue, as it is duplicated throw #4967. #4967 has more details.

#13 - 2013-04-09 12:11 - Daniel Felix

- Status changed from Closed to Reopened

Sorry wrong issue.

#14 - 2013-04-11 17:58 - Daniel Felix

- File redmine_issue_colors_and_icons_v1.diff added

- File screenshot_patch_v1.png added

- File brick_add.png added

- File bug.png added

- File page_white.png added

- File shield.png added

Hi,

please take a look at #13747.

Thanks!

#15 - 2013-04-23 08:35 - cherry Tsai

- File Screen Shot 2013-04-23 at 下午2.34.53.png added

version: Redmine 2.1.2.stable

css path: public/themes/alternate/stylesheets/application.css

#16 - 2013-04-23 08:51 - Daniel Felix

Can you provide a screenshot of this on the default theme?

Please take a look at the latest patch at #13747. Thanks.
